%global momorel 1
%global rcver 1

# mediabackend is --with-xine-support or --with-mplayer-support
%global mediabackend --with-xine-support


Summary: GUI frontend for dvdauthor and other related tools
Name:    qdvdauthor
Version: 1.0.0
Release: 0.%{rcver}.%{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL
URL:     http://qdvdauthor.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 339bea9b85996cf6be3f06666e6b4a91
NoSource: 0
Requires: dvdauthor, sox, xine-lib, netpbm, netpbm-progs
BuildRequires: qt-devel, freetype-devel, libxml2-devel
BuildRequires: libjpeg-devel, libtiff-devel, libpng-devel
BuildRequires: xine-lib, mjpegtools-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description

%prep
%setup -q
find . -type d -name CVS | xargs rm -rf

%build
./configure --prefix=%{_prefix}  --build-qplayer --build-qslideshow %{mediabackend}

%install
rm -rf %{buildroot}
#make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_prefix}/share/pixmaps
mkdir -p %{buildroot}%{_prefix}/share/applications
mkdir -p %{buildroot}%{_prefix}/share/qdvdauthor/i18n
mkdir -p %{buildroot}%{_prefix}/share/qdvdauthor/html/en

for exe in `find bin -type f`
do
install -m 0755 $exe %{buildroot}%{_prefix}/bin
done
install -m 0644 qdvdauthor.png %{buildroot}%{_prefix}/share/pixmaps
install -m 0644 doc/html/en/*.html %{buildroot}%{_prefix}/share/qdvdauthor/html/en

cp -p qdvdauthor/i18n/*.qm %{buildroot}%{_prefix}/share/qdvdauthor/i18n/


%if 0
cp -R -p %{qdvdauthor_templates_dir}/* \
		$RPM_BUILD_ROOT%{_prefix}/share/qdvdauthor/
%endif

## desktop
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
    ./%{name}.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL COPYING CHANGELOG TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Tue May 29 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.0-0.1.1m)
- update to 1.0.0 rc1

* Thu Apr 12 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.5-1m)
- build for Momonga
